Package org.h2.constraint

# Class DomainColumnResolver

java.lang.Object
org.h2.constraint.DomainColumnResolver

All Implemented Interfaces:
  `ColumnResolver`

public class DomainColumnResolver extends Object implements ColumnResolver
The single column resolver resolves the VALUE column. It is used to parse a domain constraint.

## Constructor Summary

Constructors
Constructor
Description
`DomainColumnResolver(TypeInfo typeInfo)`

## Method Summary

Modifier and Type
Method
Description
`Column`
`findColumn(String name)`
Get the column with the specified name.
`String`
`getColumnName()`
Return column name to use or null.
`Column[]`
`getColumns()`
Get the column list.
`Value`
`getValue(Column col)`
Get the value for the given column.
`TypeInfo`
`getValueType()`
Return the type of the column.
`void`
`setValue(Value value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2.table.ColumnResolver

`getColumnName, getRowIdColumn, getSchemaName, getSelect, getSystemColumns, getTableAlias, getTableFilter, hasDerivedColumnList, optimize`

## Constructor Details

### DomainColumnResolver

public DomainColumnResolver(TypeInfo typeInfo)

## Method Details

### setValue

public void setValue(Value value)

### getValue

public Value getValue(Column col)
Description copied from interface: `ColumnResolver`
Get the value for the given column.

Specified by:
  `getValue` in interface `ColumnResolver`
Parameters:
  `col` - the column
Returns:
  the value

### getColumns

public Column[] getColumns()
Description copied from interface: `ColumnResolver`
Get the column list.

Specified by:
  `getColumns` in interface `ColumnResolver`
Returns:
  the column list

### findColumn

public Column findColumn(String name)
Description copied from interface: `ColumnResolver`
Get the column with the specified name.

Specified by:
  `findColumn` in interface `ColumnResolver`
Parameters:
  `name` - the column name, must be a derived name if this column resolver has a derived column list
Returns:
  the column with the specified name, or `null`

### getColumnName

public String getColumnName()
Return column name to use or null.

Returns:
  column name to use or null

### getValueType

public TypeInfo getValueType()
Return the type of the column.

Returns:
  the type of the column